<template>
  <div class="mt-[64px]">
    <div class="w-full md:w-[1267px] px-5 md:px-0 mx-auto pb-[80px] md:pb-[116px]">
      <div class="text-[24px] md:text-[48px] text-[#133F5D] font-bold leading-[32px] md:leading-[82px] text-center mb-10 md:mb-[84px]">Proses Pendaftaran SmartCart Pay Later</div>
      <div class="block md:flex items-center justify-between">
        <div class="w-full md:w-[572px] shrink-0 order-2">
          <VueSlickCarousel
            :arrows="false"
            :dots="false"
            :vertical="true"
            :autoplay="true"
            ref="slider"
            @beforeChange="beforeSlideChange"
          >
            <div v-for="(item, index) in sliders" :key="index">
              <img :src="item" class="h-[300px] md:h-[485px]" alt="">
            </div>
          </VueSlickCarousel>
        </div>
        <div class="order-1">
          <div
            @click="goToSlide(0)"
            :class="{ 'bg-[#4199D5]': 0 === activeSlide }"
            class="w-full md:w-[546px] h-auto md:h-[85px] p-4 md:p-[22px] rounded-[10px] flex items-center mb-3 md:mb-[17px]"
          >
            <div
              :class="{ '!text-white': 0 === activeSlide }"
              class="text-[30px] md:text-[48px] text-[#133F5D] font-bold w-7 shrink-0 mr-5"
            >1</div>
            <div :class="{ '!text-white': 0 === activeSlide }" class="text-[16px] md:text-[20px] text-[#133F5D] leading-5 md:leading-[27px]">
              Isi data diri dan unggah dokumen legal Anda (SIUP, Akta Perusahaan, dll) pada halaman Pendaftaran.
            </div>
          </div>
          <div
            @click="goToSlide(1)"
            :class="{ 'bg-[#4199D5]': 1 === activeSlide }"
            class="w-full md:w-[546px] h-auto md:h-[85px] p-4 md:p-[22px] rounded-[10px] flex items-center mb-3 md:mb-[17px]"
          >
            <div
              :class="{ '!text-white': 1 === activeSlide }"
              class="text-[30px] md:text-[48px] text-[#133F5D] font-bold w-7 shrink-0 mr-5"
            >2</div>
            <div :class="{ '!text-white': 1 === activeSlide }" class="text-[16px] md:text-[20px] text-[#133F5D] leading-5 md:leading-[27px]">
              Dapatkan persetujuan penawaran dari berbagai macam lembaga keuangan penyedia pembayaran.
            </div>
          </div>
          <div
            @click="goToSlide(2)"
            :class="{ 'bg-[#4199D5]': 2 === activeSlide }"
            class="w-full md:w-[546px] h-auto md:h-[85px] p-4 md:p-[22px] rounded-[10px] flex items-center mb-3 md:mb-[17px]"
          >
            <div
              :class="{ '!text-white': 2 === activeSlide }"
              class="text-[30px] md:text-[48px] text-[#133F5D] font-bold w-7 shrink-0 mr-5"
            >3</div>
            <div :class="{ '!text-white': 2 === activeSlide }" class="text-[16px] md:text-[20px] text-[#133F5D] leading-5 md:leading-[27px]">
              Tanda tangan dokumen secara digital.
            </div>
          </div>
          <div
            @click="goToSlide(3)"
            :class="{ 'bg-[#4199D5]': 3 === activeSlide }"
            class="w-full md:w-[546px] h-auto md:h-[85px] p-4 md:p-[22px] rounded-[10px] flex items-center mb-3 md:mb-[17px]"
          >
            <div
              :class="{ '!text-white': 3 === activeSlide }"
              class="text-[30px] md:text-[48px] text-[#133F5D] font-bold w-7 shrink-0 mr-5"
            >4</div>
            <div :class="{ '!text-white': 3 === activeSlide }" class="text-[16px] md:text-[20px] text-[#133F5D] leading-5 md:leading-[27px]">
              Selesai! Anda dapat langsung melakukan transaksi dengan Paper Usaha.
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'

export default {
  name: 'HowtoSection',
  components: {
    VueSlickCarousel
  },
  data() {
    return {
      sliders: [
        require('@/assets/images/howto/Step1.png'),
        require('@/assets/images/howto/Step2.png'),
        require('@/assets/images/howto/Step3.png'),
        require('@/assets/images/howto/Step4.png'),
      ],
      activeSlide: 0
    }
  },
  methods: {
    goToSlide(index) {
      this.$refs.slider.goTo(index);
      this.activeSlide = index;
    },
    beforeSlideChange(oldIndex, newIndex) {
      this.activeSlide = newIndex;
    },
  },
}
</script>
